query userOutboxActivities($userId: String!, $after: [Cursor!], $before: [Cursor!], $limit: Int) {
  user(userId: $userId) {
    id
    outbox(after: $after, before: $before, limit: $limit)
      @connection(key: "userOutboxActivities", filter: ["userId"]) {
      totalCount
      pageInfo {
        ...FullPageInfo
      }
      edges {
        ...UserOutboxActivity
      }
    }
  }
}

fragment UserOutboxActivity on Activity {
  ...UserPageActivities
  ...ActivityPreview
}
